
package use_trafficintersection;

/**
 *
 * @author Sjoerd Westendorp
 */
public class UnitConv {
    public static final float t_conv = 3.3f/60.0f;
    public static final String t_unit = "s";
    public static final float V_conv = 50.0f;
    public static final String V_unit = "km/h";
    
    static float toSeconds(long loops){
	return t_conv*loops;
    }
    
    static float tokmperh(float v){
	return V_conv*v;
    }
    
    static String loopsToDispString(long loops){
	return (Math.round(t_conv*loops*100.0f)/100.0f)+" "+t_unit;
    }
    
    static String accelToDispString(float a){
	return (Math.round(V_conv*a*100.0f)/100.0f)+" "+V_unit;
    }
    
    static String accelToDispString(double a){
	return (Math.round(V_conv*a*100.0)/100.0)+" "+V_unit;
    }
}
